Subject: mbsync error

From: Jon Fineman <[email-masked]>
Date: Thu, 01 Aug 2024 17:45:12 -0400

I am having some trouble with mbsync. It works fine from cron or the
console tty. However when I run it from sway I get the below error. It
works maybe 40% of the time.

Any thoughts on how to debug this?

Versions:
alpine v3.20.2
wayland 1.22.0-r4
sway 1.9
mbsync isync 1.4.4

In my config user command is:
UserCmd "cat ~/.mbsyncrc/isp_id.txt"
 
The output is below with some redactions:

mbsync -V -c .mbsyncrc/mbsyncrc.conf isp-quick
Reading configuration file .mbsyncrc/mbsyncrc.conf
C: 0/2  B: 0/2  F: +0/0 *0/0 #0/0  N: +0/0 *0/0 #0/0
Channel isp-inbox
Opening far side store isp-remote...
Resolving imap.isp.com... ok
Connecting to imap.isp.com ()... 
Opening near side store isp-local...
Connection is now encrypted
Logging in...
Authenticating with SASL mechanism PLAIN...
Skipping account myid, UserCmd crashed
C: 1/2  B: 0/2  F: +0/0 *0/0 #0/0  N: +0/0 *0/0 #0/0
Channel isp-sent
Skipping due to failed far side store isp-remote.
C: 2/2  B: 0/2  F: +0/0 *0/0 #0/0  N: +0/0 *0/0 #0/0